"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.postSlug = postSlug;
exports.postTitle = postTitle;
var _constants = require("./constants");
var _data = require("@wordpress/data");
/**
 * WordPress dependencies
 */

/**
 * Reducer managing the post slug
 *
 * @param {Object} state  Current state.
 * @param {Object} action Dispatched action.
 *
 * @return {Object} Updated state.
 */
function postSlug() {
  let state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  let action = arguments.length > 1 ? arguments[1] : undefined;
  switch (action.type) {
    case _constants.SET_POST_SLUG:
      return action.slug;
  }
  return state;
}

/**
 * Reducer managing the post slug
 *
 * @param {Object} state  Current state.
 * @param {Object} action Dispatched action.
 *
 * @return {Object} Updated state.
 */
function postTitle() {
  let state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  let action = arguments.length > 1 ? arguments[1] : undefined;
  switch (action.type) {
    case _constants.SET_POST_TITLE:
      return action.title;
  }
  return state;
}
var _default = (0, _data.combineReducers)({
  postSlug,
  postTitle
});
exports.default = _default;
//# sourceMappingURL=reducer.js.map